Managed Service for SPQR API, REST: Cluster.RescheduleMaintenance
Reschedules planned maintenance operation.
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-spqr/v1/clusters/{clusterId}:rescheduleMaintenance
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the SPQR cluster to reschedule the maintenance operation for. The maximum string length in characters is 50. |
Body parameters
{
"rescheduleType": "string",
"delayedUntil": "string"
}
|
Field |
Description |
|
rescheduleType |
enum (RescheduleType) Required field. The type of reschedule request.
|
|
delayedUntil |
string (date-time) The time until which this maintenance operation should be delayed. The value should be ahead of the first time when the maintenance operation has been scheduled for no more than two weeks. The value can also point to the past moment of time if rescheduleType.IMMEDIATE reschedule type is chosen. String in RFC3339 To work with values in this field, use the APIs described in the |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |